This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 808548

Summary: Extremely low latency networks cause DataSource fetching/pagination issues
Product: [Other] RHQ Project Reporter: Mike Thompson <mithomps>
Component: Core UIAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: low    
Version: unspecifiedCC: hrupp, lkrejci
Target Milestone: ---   
Target Release: RHQ 4.9   
Hardware: All   
OS: All   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=855674
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-26 04:32:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Network Latency Error none

Description Mike Thompson 2012-03-30 12:49:37 EDT
Created attachment 574041 [details]
Network Latency Error

Description of problem:
The problem is sporadic but very reproducible (occurs 80%) on very low latency systems. And it happens in all screens and when filtering.




Here is my traceroute stats:
traceroute to 192.168.1.2 (192.168.1.2), 64 hops max, 52 byte packets
 1  192.168.1.2 (192.168.1.2)  0.177 ms  0.068 ms  0.072 ms

jsanda also sees this issue and here is his 

traceroute to 192.168.1.111 (192.168.1.111), 30 hops max, 60 byte packets
1  localhost.localdomain (192.168.1.111)  0.045 ms  0.011 ms  0.010 ms


Because the screens error so much I test with a different machine (which never has this problem). Here are its stats:
traceroute to 192.168.1.2 (192.168.1.2), 64 hops max, 52 byte packets
 1  192.168.1.2 (192.168.1.2)  1.153 ms  0.338 ms  0.302 ms

The only hypothesis I can draw from  this is:

This problem occurs on networks with latencies of < 1 ms.
How much less not exactly sure. It might be a tenth of a ms, this is unknown as of now.

How to Reproduce: Just go to any screen or filter

This time I hit the error on the Inventory >> Servers screen (and all inventory screens not just filters). I have attached a screenshot of what I get - Server returned FAILURE with no error message. Although, if you click on the message panel you get:
	

java.lang.RuntimeException:[1333123995814] javax.ejb.EJBException:java.lang.IllegalArgumentException: PageList was passed an empty collection but 'totalSize' was 9, PageControl[firstRow=25, size=50] -> java.lang.IllegalArgumentException:PageList was passed an empty collection but 'totalSize' was 9, PageControl[firstRow=25, size=50]
--- STACK TRACE FOLLOWS ---
[1333123995814] javax.ejb.EJBException:java.lang.IllegalArgumentException: PageList was passed an empty collection but 'totalSize' was 9, PageControl[firstRow=25, size=50] -> java.lang.IllegalArgumentException:PageList was passed an empty collection but 'totalSize' was 9, PageControl[firstRow=25, size=50]
   at com.google.gwt.user.client.rpc.core.java.lang.RuntimeException_FieldSerializer.instantiate(RuntimeException_FieldSerializer.java:16)
   at com.google.gwt.user.client.rpc.core.java.lang.RuntimeException_FieldSerializer.create(RuntimeException_FieldSerializer.java:25)
   at com.google.gwt.user.client.rpc.impl.SerializerBase.instantiate(SerializerBase.java:115)
   at com.google.gwt.user.client.rpc.impl.ClientSerializationStreamReader.deserialize(ClientSerializationStreamReader.java:111)
   at com.google.gwt.user.client.rpc.impl.AbstractSerializationStreamReader.readObject(AbstractSerializationStreamReader.java:119)
   at com.google.gwt.user.client.rpc.impl.RequestCallbackAdapter.onResponseReceived(RequestCallbackAdapter.java:216)
   at org.rhq.enterprise.gui.coregui.client.util.rpc.TrackingRequestCallback.onResponseReceived(TrackingRequestCallback.java:90)
   at com.google.gwt.http.client.Request.fireOnResponseReceived(Request.java:287)
   at com.google.gwt.http.client.RequestBuilder$1.onReadyStateChange(RequestBuilder.java:395)
   at sun.reflect.GeneratedMethodAccessor85.invoke(Unknown Source)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
   at java.lang.reflect.Method.invoke(Method.java:597)
   at com.google.gwt.dev.shell.MethodAdaptor.invoke(MethodAdaptor.java:103)
   at com.google.gwt.dev.shell.MethodDispatch.invoke(MethodDispatch.java:71)
   at com.google.gwt.dev.shell.OophmSessionHandler.invoke(OophmSessionHandler.java:172)
   at com.google.gwt.dev.shell.BrowserChannelServer.reactToMessagesWhileWaitingForReturn(BrowserChannelServer.java:337)
   at com.google.gwt.dev.shell.BrowserChannelServer.invokeJavascript(BrowserChannelServer.java:218)
   at com.google.gwt.dev.shell.ModuleSpaceOOPHM.doInvoke(ModuleSpaceOOPHM.java:136)
   at com.google.gwt.dev.shell.ModuleSpace.invokeNative(ModuleSpace.java:561)
   at com.google.gwt.dev.shell.ModuleSpace.invokeNativeObject(ModuleSpace.java:269)
   at com.google.gwt.dev.shell.JavaScriptHost.invokeNativeObject(JavaScriptHost.java:91)
   at com.google.gwt.core.client.impl.Impl.apply(Impl.java)
   at com.google.gwt.core.client.impl.Impl.entry0(Impl.java:213)
   at sun.reflect.GeneratedMethodAccessor84.invoke(Unknown Source)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
   at java.lang.reflect.Method.invoke(Method.java:597)
   at com.google.gwt.dev.shell.MethodAdaptor.invoke(MethodAdaptor.java:103)
   at com.google.gwt.dev.shell.MethodDispatch.invoke(MethodDispatch.java:71)
   at com.google.gwt.dev.shell.OophmSessionHandler.invoke(OophmSessionHandler.java:172)
   at com.google.gwt.dev.shell.BrowserChannelServer.reactToMessages(BrowserChannelServer.java:292)
   at com.google.gwt.dev.shell.BrowserChannelServer.processConnection(BrowserChannelServer.java:546)
   at com.google.gwt.dev.shell.BrowserChannelServer.run(BrowserChannelServer.java:363)
   at java.lang.Thread.run(Thread.java:680)
Version-Release number of selected component (if applicable):
Comment 1 Mike Foley 2012-04-02 11:55:41 EDT
set priority per BZ triage (crocuh, loleary, asantos, foley)
Comment 2 Mike Foley 2012-09-13 13:53:07 EDT
documenting that this issue arose in EPP plugin testing 12/13/2012 as part of JON 3.1.1 testing.  

sporadic.
Comment 3 Lukas Krejci 2013-09-02 07:29:41 EDT
I believe this has the same underlying cause as BZ 855674. Pushing to ON_QA so that we can have it tested.
Comment 4 Heiko W. Rupp 2014-03-26 04:32:13 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.